Schema dax-3.2.xsd

schema location: | C:\Documents and Settings\voeckler\Desktop\schema\dax-3.2\dax-3.2.xsd
targetNamespace: | http://pegasus.isi.edu/schema/DAX

Elements | Complex types | Simple types | Attr. groups
adag | AbstractJobType | ArchitectureType | SystemInformationGroup
| CatalogType | FilenameSafePattern |
| FilenameType | LinkageType |
| InvokeType | NodeIdentifierPattern |
| JobUsesType | OSType |
| PlainFilenameType | ProfileNamespace |
| ProfileType | TransferType |
| TransformationUsesType | VersionPattern |

element adag

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | file executable transformation job dag dax child

attributes

Name | Type | Use | Default | Fixed
version | VersionPattern | required |  |
name | FilenameSafePattern | required |  |
index | xs:nonNegativeInteger | optional | 0 |
count | xs:nonNegativeInteger | optional | 1 |

element adag/file

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of CatalogType
children | profile metadata pfn

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |

element adag/executable

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of CatalogType
children | profile metadata pfn

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
namespace | xs:string | optional |  |
version | VersionPattern | optional |  |
installed | xs:boolean | optional | true |
arch | ArchitectureType | optional | x86 |
os | OSType | optional | linux |
osrelease | xs:string | optional |  |
osversion | VersionPattern | optional |  |
glibc | VersionPattern | optional |  |

element adag/transformation

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | uses

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
namespace | xs:string | optional |  |
version | VersionPattern | optional |  |

element adag/transformation/uses

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | TransformationUsesType

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
namespace | xs:string | optional |  |
version | VersionPattern | optional |  |
executable | xs:boolean | optional | true |

element adag/job

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of AbstractJobType
children | argument profile stdin stdout stderr uses invoke

attributes

Name | Type | Use | Default | Fixed
id | NodeIdentifierPattern | required |  |
node-label | xs:string | optional |  |
name | xs:string | required |  |
namespace | xs:string | optional |  |
version | VersionPattern | optional |  |

element adag/dag

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of AbstractJobType
children | argument profile stdin stdout stderr uses invoke

attributes

Name | Type | Use | Default | Fixed
id | NodeIdentifierPattern | required |  |
node-label | xs:string | optional |  |
file | xs:string | required |  |

element adag/dax

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of AbstractJobType
children | argument profile stdin stdout stderr uses invoke

attributes

Name | Type | Use | Default | Fixed
id | NodeIdentifierPattern | required |  |
node-label | xs:string | optional |  |
file | xs:string | required |  |

element adag/child

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | parent

attributes

Name | Type | Use | Default | Fixed
ref | NodeIdentifierPattern | required |  |

element adag/child/parent

diagram |
namespace | http://pegasus.isi.edu/schema/DAX

attributes

Name | Type | Use | Default | Fixed
ref | NodeIdentifierPattern | required |  |
edge-label | xs:string | optional |  |

complexType AbstractJobType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | argument profile stdin stdout stderr uses invoke

used by

elements | adag/dag adag/dax adag/job

attributes

Name | Type | Use | Default | Fixed
id | NodeIdentifierPattern | required |  |
node-label | xs:string | optional |  |

element AbstractJobType/argument

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | file

element AbstractJobType/argument/file

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | PlainFilenameType

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |

element AbstractJobType/profile

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | ProfileType

attributes

Name | Type | Use | Default | Fixed
key | xs:string | required |  |
namespace | ProfileNamespace | required |  |

element AbstractJobType/stdin

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of PlainFilenameType

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
link | LinkageType | optional |  | input

element AbstractJobType/stdout

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of PlainFilenameType

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
link | LinkageType | optional |  | output

element AbstractJobType/stderr

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of PlainFilenameType

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
link | LinkageType | optional |  | output

element AbstractJobType/uses

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | JobUsesType

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
link | LinkageType | optional |  |
optional | xs:boolean | optional | false |
register | xs:boolean | optional | true |
transfer | TransferType | optional | true |
namespace | xs:string | optional |  |
version | VersionPattern | optional |  |
executable | xs:boolean | optional | false |

element AbstractJobType/invoke

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | InvokeType

attributes

Name | Type | Use | Default | Fixed
when | xs:NMTOKEN | required |  |

complexType CatalogType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | profile metadata pfn

used by

elements | adag/executable adag/file

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |

element CatalogType/profile

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | ProfileType

attributes

Name | Type | Use | Default | Fixed
key | xs:string | required |  |
namespace | ProfileNamespace | required |  |

element CatalogType/metadata

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed
key | xs:NMTOKEN | required |  |
type | xs:NMTOKEN | required |  |

element CatalogType/pfn

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
children | profile

attributes

Name | Type | Use | Default | Fixed
url | xs:anyURI | required |  |
site | xs:string | optional | local |

element CatalogType/pfn/profile

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | ProfileType

attributes

Name | Type | Use | Default | Fixed
key | xs:string | required |  |
namespace | ProfileNamespace | required |  |

complexType FilenameType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of PlainFilenameType

used by

complexType | JobUsesType

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
link | LinkageType | optional |  |
optional | xs:boolean | optional | false |
register | xs:boolean | optional | true |
transfer | TransferType | optional | true |

complexType InvokeType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of xs:string

used by

element | AbstractJobType/invoke

attributes

Name | Type | Use | Default | Fixed
when | xs:NMTOKEN | required |  |

complexType JobUsesType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of FilenameType

used by

element | AbstractJobType/uses

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
link | LinkageType | optional |  |
optional | xs:boolean | optional | false |
register | xs:boolean | optional | true |
transfer | TransferType | optional | true |
namespace | xs:string | optional |  |
version | VersionPattern | optional |  |
executable | xs:boolean | optional | false |

complexType PlainFilenameType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX

used by

elements | AbstractJobType/argument/file AbstractJobType/stderr AbstractJobType/stdin AbstractJobType/stdout
complexTypes | FilenameType TransformationUsesType

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |

complexType ProfileType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX

used by

elements | AbstractJobType/profile CatalogType/profile CatalogType/pfn/profile

attributes

Name | Type | Use | Default | Fixed
key | xs:string | required |  |
namespace | ProfileNamespace | required |  |

complexType TransformationUsesType

diagram |
namespace | http://pegasus.isi.edu/schema/DAX
type | extension of PlainFilenameType

used by

element | adag/transformation/uses

attributes

Name | Type | Use | Default | Fixed
name | xs:string | required |  |
namespace | xs:string | optional |  |
version | VersionPattern | optional |  |
executable | xs:boolean | optional | true |

simpleType ArchitectureType

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKENS

used by

attribute | SystemInformationGroup/@arch

facets

enumeration | x86
enumeration | x86_64
enumeration | ppc
enumeration | ppc_64
enumeration | ia64
enumeration | sparcv7
enumeration | sparcv9
enumeration | amd64

simpleType FilenameSafePattern

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKEN

used by

attribute | adag/@name

facets

pattern | [\-.0-9a-zA-Z_]+

simpleType LinkageType

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKEN

used by

attributes | FilenameType/@link AbstractJobType/stdin/@link AbstractJobType/stdout/@link AbstractJobType/stderr/@link

facets

enumeration | none
enumeration | input
enumeration | output
enumeration | inout

simpleType NodeIdentifierPattern

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKEN

used by

attributes | AbstractJobType/@id adag/child/parent/@ref adag/child/@ref

facets

pattern | [\-0-9a-zA-Z_]+

simpleType OSType

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKENS

used by

attribute | SystemInformationGroup/@os

facets

enumeration | aix
enumeration | sunos
enumeration | linux
enumeration | macosx
enumeration | windows

simpleType ProfileNamespace

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKEN

used by

attribute | ProfileType/@namespace

facets

enumeration | pegasus
enumeration | condor
enumeration | dagman
enumeration | env
enumeration | hints
enumeration | globus
enumeration | selector
enumeration | stat

simpleType TransferType

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:NMTOKEN

used by

attribute | FilenameType/@transfer

facets

enumeration | false
enumeration | optional
enumeration | true

simpleType VersionPattern

namespace | http://pegasus.isi.edu/schema/DAX
type | restriction of xs:string

used by

attributes | SystemInformationGroup/@glibc SystemInformationGroup/@osversion adag/executable/@version adag/transformation/@version adag/job/@version adag/@version JobUsesType/@version TransformationUsesType/@version

facets

pattern | [0-9]+(\.[0-9]+(\.[0-9]+)?)?

attributeGroup SystemInformationGroup

namespace | http://pegasus.isi.edu/schema/DAX

used by

element | adag/executable

attributes

Name | Type | Use | Default | Fixed
arch | ArchitectureType | optional | x86 |
os | OSType | optional | linux |
osrelease | xs:string | optional |  |
osversion | VersionPattern | optional |  |
glibc | VersionPattern | optional |  |

XML Schema documentation generated with XMLSPY Schema Editor http://www.altova.com/xmlspy